require 'soar_auditing_format'

module SoarAnalytics
  class Reporter
    def initialize(name)
      @name = name
    end

    def report(value, audit_level = :info, flow_identifier = nil)
      SoarAnalytics.auditing.send(audit_level,format_key_value_pair(value),flow_identifier)
    end

    private

    def format_key_value_pair(value)
      SoarAuditingFormatter::Formatter.optional_field_format(@name,value)
    end
  end
end
