module SoarAnalytics
  class TimeDeltaReporter < ThresholdReporter
    def initialize(name:, info_threshold: 0, warn_threshold: nil, error_threshold: nil)
      super
      record_start_time
    end

    def report(flow_identifier = nil)
      super(calculate_time_delta, flow_identifier)
    end

    private

    def record_start_time
      @start_time = Time.now
    end

    def calculate_time_delta
      Time.now - @start_time
    end
  end
end
